<template>
  <div component="help" class="hc__help">
    <h3>Shoutcuts</h3>
    <span>alt(option) + commad + f : Hide search input</span>
    <span>alt(option) + commad + s : Show suggestions</span>
    <span>alt(option) + commad + h : Show help</span>
    <span>alt(option) + commad + b : Goto to Builder</span>
    <h3>Search filters</h3>
    <span>!any [text] : Find all films whos title contains this text</span>
    <span>!genre [text] : Find all films whos genre contains this text</span>
    <span>!director [text] : Find all filsm whos director contains this text</span>
    <span>!actor [text] : Find all films whos actor contains this text</span>
  </div>
</template>

<script>
export default {
  name: 'HelpComponent',
};
</script>

<style lang="scss" scoped>
.hc__help {
  position: fixed;
  width: 400px;
  height: 300px;
  background-color: aliceblue;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  right: .5rem;
  bottom: .5rem;
  border-radius: 15px;
  padding: .6rem;
  z-index: 2;
}
</style>
